﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_maketransparent
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // The images.
        private Bitmap SmileBitmap, FrownBitmap;

        // Make the images' backgrounds transparent.
        private void Form1_Load(object sender, EventArgs e)
        {
            SmileBitmap = Properties.Resources.Smile;
            SmileBitmap.MakeTransparent(SmileBitmap.GetPixel(0, 0));

            FrownBitmap = Properties.Resources.Frown;
            FrownBitmap.MakeTransparent(FrownBitmap.GetPixel(0, 0));
        }

        // Draw the two images overlapping.
        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            e.Graphics.DrawImage(FrownBitmap, 30, 30);
            e.Graphics.DrawImage(SmileBitmap, 95, 85);
            e.Graphics.DrawImage(FrownBitmap, 160, 30);
        }
    }
}
